# Uses of Class
it.tdlight.jni.TdApi.AuthenticationCodeInfo

## Uses of TdApi.AuthenticationCodeInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.AuthenticationCodeInfo
Modifier and Type
Field
Description
`TdApi.AuthenticationCodeInfo`
TdApi.AuthorizationStateWaitCode.`codeInfo`
Information about the authorization code that was sent.
Constructors in it.tdlight.jni with parameters of type TdApi.AuthenticationCodeInfo
Modifier
Constructor
Description
``
`AuthorizationStateWaitCode(TdApi.AuthenticationCodeInfo codeInfo)`
TDLib needs the user's authentication code to authorize.